variables:
  # Configure mysql service (https://hub.docker.com/_/mysql/)
  MYSQL_DATABASE: wordpress_tests
  MYSQL_ROOT_PASSWORD: mysql

before_script:
  # Install dependencies

  # update the docker
  - apt-get clean
  - apt-get -yqq update

  # instll the required packages for the running CI tests
  - apt-get -yqqf install zip unzip subversion mysql-client libmysqlclient-dev --fix-missing

  # PHP extensions
  - docker-php-ext-enable mbstring mcrypt mysqli pdo_mysql intl gd zip bz2

  # Install Composer
  - curl -sS https://getcomposer.org/installer | php
  - php composer.phar install

  # Set up WordPress tests
  - bash bin/install-wp-tests.sh wordpress_tests root mysql mysql latest true

  # Install PHPCS and WPCS
  - composer global require automattic/vipwpcs
  - phpcs --config-set installed_paths $HOME/.composer/vendor/wp-coding-standards/wpcs,$HOME/.composer/vendor/automattic/vipwpcs

PHPunit:PHP5.3:MySQL:
  image: tetraweb/php:5.3
  services:
    - mysql:5.6
  script:
    - composer global require "phpunit/phpunit=4.8.*"
    - phpcs
    - phpunit

PHPunit:PHP5.6:MySQL:
  image: php:5.6-alpine
  services:
    - mysql:5.6
  script:
    - composer global require "phpunit/phpunit=4.8.*"
    - phpcs
    - phpunit

PHPunit:PHP7.0:MySQL:
  image: php:7.0-alpine
  services:
    - mysql:5.6
  script:
    - composer global require "phpunit/phpunit=6.1.*"
    - phpcs
    - phpunit

PHPunit:PHP7.1:MySQL:
  image: php:7.1-alpine
  services:
    - mysql:5.6
  script:
    - composer global require "phpunit/phpunit=6.1.*"
    - phpcs
    - phpunit

PHPunit:PHP7.2:MySQL:
  image: php:7.2-alpine
  services:
    - mysql:5.6
  script:
    - composer global require "phpunit/phpunit=6.1.*"
    - phpcs
    - phpunit
